//////////////////////////////////////////////////////////////////////
// IP traffic analyzer - configuration file
// Written by Jonathan A. Foster <jon@jfpossibilities.com>
// Started May 14th, 2021
// Copyright JF Possibilities, Inc. All rights reserved.
//
// This class reads and holds configuration data for "iptraffic". The
// file is basically an INI format with '#' for remarks instead of ';'
// and sections can be lists, not just name/value pairs. In fact this
// first version is strictly only lists.
//////////////////////////////////////////////////////////////////////
#ifndef __JFP_IPTRAFFIC_CONF_H__
#define __JFP_IPTRAFFIC_CONF_H__
#include <string>
#include <vector>
#include "data.h"



struct Config {
  std::vector<std::string> us;
  ConnList ignores;

  void load(const std::string &fname);
};

#endif
